--- title: "Get All Device Health" slug: "get-all-device-health-1" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/get-all-device-health-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get All Device Health This URL provides all health details of the Sensor. ### Resource URL GET /devicehealth/getAllDeviceHealth ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `sensorId` | Sensor Id | Number | | `hardwareHealthNormal` | Hardware health of Sensor | Boolean | | `hardwareHealthState` | Hardware health state of Sensor | Number | | `capacityHealthNormal` | Capacity health of Sensor | Boolean | | `inspectionHealthNormal` | Inspection health of Sensor | Boolean | | `inspectionHealthState` | Inspection health state of Sensor | Number | | `connected` | If Sensor connected | Boolean | | `sensorName` | Name of Sensor | String | | `summaryHealth` | Health summary of Sensor | String | | `normal` | If Sensor normal | Boolean | | `healthState` | Health state of Sensor | Number | ### Example **Request** GET https://%3CNSM_IP%3E/sdkapi/devicehealth/getAllDeviceHealth **Response** ``` {        "sensorId": 1005,        "hardwareHealthNormal": true,        "hardwareHealthState": 1,        "capacityHealthNormal": false,        "capacityHealthState": 3,        "inspectionHealthNormal": true,        "inspectionHealthState": 1,        "connected": false,        "sensorName": "NS9100_2_18",        "summaryHealth": [            {                "name": null,                "state": 3,                "supported": true            },            {                "name": null,                "state": 1,                "supported": false            },            {                "name": null,                "state": 1,                "supported": true            }        ],        "normal": false,        "healthState": 3    } ```